petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexGetDepth

Get the depth of the DAG representing this mesh

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetDepth(DM dm, PetscInt *depth)

Not Collective Many br

### Input Parameter

dm -The DMPlex object Many br

### Output Parameter

depth -The number of strata (breadth first levels) in the DAG Many br

Many br

### Keywords

mesh, points

### See Also

DMPlexGetDepthLabel(), DMPlexGetHeightStratum(), DMPlexGetDepthStratum()

Level:developer
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html